# Enum Class NoteColor

java.lang.Object
java.lang.Enum<NoteColor>
com.independentsoft.pst.NoteColor

All Implemented Interfaces:
  `Serializable`, `Comparable<NoteColor>`, `Constable`

public enum NoteColor extends Enum<NoteColor>
Specifies the color of a sticky note.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLUE`
  Blue note.
  `GREEN`
  Green note.
  `NONE`
  The note color is not specified.
  `PINK`
  Pink note.
  `WHITE`
  White note.
  `YELLOW`
  Yellow note.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NoteColor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NoteColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLUE

    public static final NoteColor BLUE
    Blue note.

  - ### GREEN

    public static final NoteColor GREEN
    Green note.

  - ### PINK

    public static final NoteColor PINK
    Pink note.

  - ### YELLOW

    public static final NoteColor YELLOW
    Yellow note.

  - ### WHITE

    public static final NoteColor WHITE
    White note.

  - ### NONE

    public static final NoteColor NONE
    The note color is not specified.

- ## Method Details

  - ### values

    public static NoteColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NoteColor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null